What are the minimum requirements for Pogoplug Backup?

Follow

Operating Systems: Microsoft® Windows XP/7, Apple® Mac OS® X 10.6.8 and above.

 

Comments

Powered by Zendesk